Summary:  This is the ASN.1 library used in GNUTLS
Name: libtasn1
Version: 0.2.13
Release: 6tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnutls.org/pub/gnutls/libtasn1/attic/%{name}-%{version}.tar.gz
Patch0: libtasn1-CVE-2006-0645.patch
Buildroot: %{_tmppath}/%{name}-root

%description
This is the ASN.1 library used in GNUTLS.
More up to date information can be found at
http://www.gnu.org/software/gnutls and http://www.gnutls.org

%package devel
Summary:	Header files etc to develop libtasn1 applications
Group:		Trustix Official
Requires:	%{name} = %{version}-%{release}

%description devel
Header files etc to develop libtasn1 applications.

%prep
%setup -q 
%patch0 -p0

%build
%configure --prefix=%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files 
%defattr(-,root,root, 0755)
%doc AUTHORS NEWS README THANKS doc/*.ps
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/*
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.a
%{_datadir}/aclocal/*
%{_datadir}/info/*
%{_mandir}/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Mon Feb 13 2006 Nived Gopalan <nived at trustix dot org> 0.2.13-5tr
- SECURITY Fix: Evgeny Legerov has reported some vulnerabilities in
  libtasn1, which potentially can be exploited by malicious
  people to cause a DoS. The vulnerabilities are caused due to errors
  within the DER decoder in libtasn1. This can be exploited to crash an
  application that uses the library via specially-crafted input.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2006-0645 to this issue

* Thu Mar 17 2005 Bipin S  <bipin at comodo dot com> 0.2.13-3tr
- Rebuilt

* Tue Mar 01 2005 Ajith Thampi <ajith at comodo dot com> 0.2.13-1tr
- New Upstream
- Converted to Official package for tsl-3.0, minor cleanup

* Tue Dec 14 2004 Syed Shabir <syedshabir at comodo dot com> 0.2.6-2sh
- Added Requires

* Mon Dec 06 2004 Syed Shabir <syedshabir at comodo dot com> 0.2.6-1sh
- Initial Spec file for libtasnl
